This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Vertica(DBaaS)

Overview

Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.

This guide provides a brief description of Vertica(DBaaS) service and how to call API. The API is provided as a RESTful API, and it responds in JSON format.

Version

VersionStatusSupported Until
1.0CURRENT-

OpenAPI URL

https://vertica.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1 - APIs

1.1 - Add Block Storages

1.1.1 - 1.0

post /v1/instance-groups/{instance_group_id}/block-storage-groups

Description

Add Block Storages.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathinstance_group_id
required
Instance group ID
Example :
stringNone
bodybody
required

AddBlockStoragesRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/instance-groups/{instance_group_id}/block-storage-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vertica 1.0"

Request body

{
    "role_type": "",
    "size_gb": 104,
    "volume_type": "SSD"
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.2 - Create Cluster

1.2.1 - 1.0

post /v1/clusters

Description

Create Cluster.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

VerticaClusterCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vertica 1.0"

Request body

{
    "allowable_ip_addresses": [],
    "dbaas_engine_version_id": "",
    "init_config_option": {
        "backup_option": {
            "retention_period_day": "",
            "starting_time_hour": ""
        },
        "database_locale": "ko_KR.utf8",
        "database_name": "",
        "database_user_name": "",
        "database_user_password": ""
    },
    "instance_groups": [
        {
            "block_storage_groups": [
                {
                    "role_type": "",
                    "size_gb": 104,
                    "volume_type": "SSD"
                }
            ],
            "instances": [
                {
                    "public_ip_id": "",
                    "role_type": "ACTIVE",
                    "service_ip_address": ""
                }
            ],
            "role_type": "ACTIVE",
            "server_type_name": ""
        }
    ],
    "instance_name_prefix": "",
    "license": "",
    "maintenance_option": {
        "period_hour": "",
        "starting_day_of_week": "MON",
        "starting_time": ""
    },
    "name": "",
    "nat_enabled": false,
    "subnet_id": "",
    "tags": [],
    "timezone": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.3 - Create Restore Cluster

1.3.1 - 1.0

post /v1/clusters/{cluster_id}/restore

Description

Create Restore Cluster.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

VerticaClusterRestoreRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/restore

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vertica 1.0"

Request body

{
    "allowable_ip_addresses": [],
    "backup_history_number": "",
    "instance_groups": [
        {
            "block_storage_groups": [
                {
                    "role_type": "",
                    "size_gb": 104,
                    "volume_type": "SSD"
                }
            ],
            "role_type": "ACTIVE",
            "server_type_name": ""
        }
    ],
    "instance_name_prefix": "",
    "license": "",
    "maintenance_option": {
        "period_hour": "",
        "starting_day_of_week": "MON",
        "starting_time": ""
    },
    "name": "",
    "tags": [
        {
            "key": "",
            "value": ""
        }
    ]
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.4 - List Backup Histories

1.4.1 - 1.0

get /v1/clusters/{cluster_id}/backup-histories

Description

List Backup Histories.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
querylimit
optional
Number of backup lists
Example :
any of [integer, null]None
querypage
optional
Backup list page
Example :
any of [integer, null]None

Responses

HTTP CodeDescriptionSchema
200OKBackupHistoryListApiResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/backup-histories

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vertica 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "backup_end_at": "",
            "backup_history_number": "",
            "backup_size_gb": "",
            "backup_start_at": "",
            "backup_state": "",
            "backup_state_detail": "",
            "software_version": ""
        }
    ],
    "total_count": ""
}

1.5 - List Clusters

1.5.1 - 1.0

get /v1/clusters

Description

List Clusters.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]name:asc
queryname
optional
Cluster name
Example :
any of [string, null]None
queryservice_state
optional
Service state
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKVerticaClusterPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vertica 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "account_id": "",
            "console_included": false,
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "database_name": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "instance_count": 0,
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "nat_enabled": "",
            "role_type": "ORIGIN",
            "service_state": "RUNNING"
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.6 - List Engine Version Properties

1.6.1 - 1.0

get /v1/engine-versions/{dbaas_engine_version_id}/properties

Description

List Engine Version Properties.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathdbaas_engine_version_id
required
DBaaS engine version ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKEnginePropertyListResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/engine-versions/{dbaas_engine_version_id}/properties

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vertica 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "name": "",
            "value": ""
        }
    ]
}

1.7 - List Engine Versions

1.7.1 - 1.0

get /v1/engine-versions

Description

List Engine Versions.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
queryid
optional
DBaaS engine version ID
Example :
any of [string, null]None
queryproduct_image_type
optional
Product image type
Example :
any of [enum (PostgreSQL Community, MariaDB Community, MySQL Community, EPAS, Microsoft SQL Server Enterprise, Microsoft SQL Server Standard, Redis OSS Sentinel, Valkey Sentinel, Kafka, Elasticsearch Enterprise, OpenSearch, Vertica Enterprise, Vertica Community, Scalable DB MariaDB Community), null]None
queryeos_included
optional
EoS included
Example : False
booleanFalse

Responses

HTTP CodeDescriptionSchema
200OKEngineListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/engine-versions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vertica 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "end_of_service": false,
            "id": "",
            "major_version": "",
            "name": "",
            "os_type": "",
            "os_version": "",
            "product_image_type": "",
            "software_version": ""
        }
    ]
}

1.8 - List Server Types

1.8.1 - 1.0

get /v1/server-types

Description

List Server Types.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
queryname
optional
Server type name
Example :
any of [string, null]None
queryproduct_image_type
optional
Product image type
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKServerTypeListResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/server-types

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vertica 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "cpu_core": "",
            "description": "",
            "memory_gb": "",
            "name": "",
            "product_image_type": "",
            "product_type": "",
            "purpose": "",
            "type": ""
        }
    ]
}

1.9 - Remove Backup Histories

1.9.1 - 1.0

put /v1/clusters/{cluster_id}/backup-histories

Description

Remove Backup Histories.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

BackupHistoryNumberRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/backup-histories

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vertica 1.0"

Request body

{
    "backup_history_number": [
        ""
    ]
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.10 - Restart Cluster

1.10.1 - 1.0

post /v1/clusters/{cluster_id}/restart

Description

Restart Cluster.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/restart

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vertica 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.11 - Set Backup

1.11.1 - 1.0

post /v1/clusters/{cluster_id}/backups

Description

Set Backup.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

BackupSettingExcludingArchiveRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/backups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vertica 1.0"

Request body

{
    "retention_period_day": "",
    "starting_time_hour": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.12 - Set Block Storage Size

1.12.1 - 1.0

post /v1/block-storage-groups/{block_storage_group_id}/resize

Description

Set Block Storage Size.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathblock_storage_group_id
required
Block storage group ID
Example : afc33891202643ba8ba1a5298a1affff
stringNone
bodybody
required

ResizeBlockStorageGroupRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/block-storage-groups/{block_storage_group_id}/resize

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vertica 1.0"

Request body

{
    "size_gb": 16
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.13 - Set Maintenance

1.13.1 - 1.0

post /v1/clusters/{cluster_id}/maintenance

Description

Set Maintenance.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

MaintenanceRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/maintenance

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vertica 1.0"

Request body

{
    "start_day_of_week": "MON",
    "start_minute": "",
    "start_time": "",
    "term_hour": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.14 - Set Security Group Rules

1.14.1 - 1.0

post /v1/clusters/{cluster_id}/security-group-rules

Description

Set Security Group Rules.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

UpdateSecurityGroupRulesRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/security-group-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vertica 1.0"

Request body

{
    "add_ip_addresses": [],
    "del_ip_addresses": []
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.15 - Set Server Type

1.15.1 - 1.0

post /v1/instance-groups/{instance_group_id}/resize

Description

Set Server Type.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathinstance_group_id
required
Instance group ID
Example :
stringNone
bodybody
required

InstanceGroupResizeRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/instance-groups/{instance_group_id}/resize

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vertica 1.0"

Request body

{
    "server_type_name": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.16 - Show Cluster

1.16.1 - 1.0

get /v1/clusters/{cluster_id}

Description

Show Cluster.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKVerticaClusterDetailResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vertica 1.0"

Example HTTP response

Response 200

{
    "account_id": "",
    "allowable_ip_addresses": [],
    "console_included": false,
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "dbaas_engine": "Vertica",
    "dbaas_engine_version_name": "09c2fe88089040ffa035604e38f7e4e9",
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "init_config_option": {
        "backup_option": {
            "retention_period_day": "",
            "starting_time_hour": ""
        },
        "database_locale": "ko_KR.utf8",
        "database_name": "",
        "database_port": 5433,
        "database_user_name": "",
        "mc_port": ""
    },
    "instance_count": 0,
    "instance_groups": [
        {
            "block_storage_groups": [
                {
                    "id": "",
                    "name": "",
                    "role_type": "OS",
                    "size_gb": "",
                    "volume_type": "SSD"
                }
            ],
            "id": "",
            "instances": [
                {
                    "name": "",
                    "public_ip_address": "",
                    "public_ip_id": "",
                    "role_type": "",
                    "service_ip_address": "",
                    "service_state": "RUNNING"
                }
            ],
            "role_type": "",
            "server_type_name": ""
        }
    ],
    "maintenance_option": {
        "period_hour": "",
        "starting_day_of_week": "MON",
        "starting_time": "",
        "use_maintenance_option": false
    },
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "",
    "nat_enabled": "",
    "product_type": "Vertica",
    "role_type": "ORIGIN",
    "service_state": "RUNNING",
    "software_version": "",
    "subnet_id": "",
    "timezone": ""
}

1.17 - Show Request

1.17.1 - 1.0

get /v1/requests/{request_id}

Description

Show Request.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathrequest_id
required
Request ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKRequestStateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/requests/{request_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vertica 1.0"

Example HTTP response

Response 200

{
    "request_id": "",
    "state": ""
}

1.18 - Start Cluster

1.18.1 - 1.0

post /v1/clusters/{cluster_id}/start

Description

Start Cluster.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/start

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vertica 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.19 - Stop Cluster

1.19.1 - 1.0

post /v1/clusters/{cluster_id}/stop

Description

Stop Cluster.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/stop

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vertica 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.20 - Synchronize Cluster State

1.20.1 - 1.0

post /v1/clusters/{cluster_id}/sync-state

Description

Synchronize Cluster State.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/sync-state

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vertica 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.21 - Terminate Cluster

1.21.1 - 1.0

delete /v1/clusters/{cluster_id}

Description

Terminate Cluster.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vertica 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.22 - Unset Backup

1.22.1 - 1.0

delete /v1/clusters/{cluster_id}/backups

Description

Unset Backup.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/backups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vertica 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.23 - Unset Maintenance

1.23.1 - 1.0

delete /v1/clusters/{cluster_id}/maintenance

Description

Unset Maintenance.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/maintenance

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vertica 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

2 - Models

2.1 - AddBlockStoragesRequest

NameDescriptionSchemaDefault
role_type
required
Role type
Example : OS
enum (OS, DATA, ARCHIVE, TEMP, BACKUP)
size_gb
required
Size in GB
Example : 104
Minimum : 16
Maximum : 5120
integer
volume_type
optional
Volume type
Example : SSD
enum (SSD, SSD_KMS, HDD, HDD_KMS)SSD

2.2 - AsyncResponse

NameDescriptionSchemaDefault
request_id
required
Request ID
Example : req-4f668846-8a3d-49f1-8111-451ebccf445c
string
resource
required
Resource
ResourceInfo

2.3 - BackupHistoryApiItem

NameDescriptionSchemaDefault
backup_end_at
required
Backup end time
Example :
string
backup_history_number
required
Backup id
Example :
string
backup_size_gb
required
Backup amount(GB)
Example :
object
backup_start_at
required
Backup start time
Example :
string
backup_state
required
Backup state
Example :
string
backup_state_detail
optional
Backup detail state
Example :
any of [string, null]
software_version
required
Software version
Example :
string

2.4 - BackupHistoryListApiResponse

NameDescriptionSchemaDefault
contents
required
backup list information
array[BackupHistoryApiItem]
total_count
required
total number of backup history
Example :
integer

2.5 - BackupHistoryNumberRequest

NameDescriptionSchemaDefault
backup_history_number
required
Backup id
array[string]

2.6 - BackupSettingExcludingArchiveRequest

NameDescriptionSchemaDefault
retention_period_day
required
Backup retention period (day)
Example :
Pattern : ^([7-9]|^[1-2]\d|^3[0-5])$
string
starting_time_hour
required
Backup starting time (hour)
Example :
Pattern : ^(\d|1\d|2[0-3])$
string

2.7 - BlockStorageGroupRequest

NameDescriptionSchemaDefault
role_type
required
Role type
Example : OS
enum (OS, DATA, ARCHIVE, TEMP, BACKUP)
size_gb
required
Size in GB
Example : 104
Minimum : 16
Maximum : 5120
integer
volume_type
optional
Volume type
Example : SSD
enum (SSD, SSD_KMS, HDD, HDD_KMS)SSD

2.8 - BlockStorageGroupResponse

NameDescriptionSchemaDefault
id
required
ID
Example :
string
name
required
Name
Example :
string
role_type
required
Role type
Example : OS
enum (OS, DATA, ARCHIVE, TEMP, BACKUP)
size_gb
required
Size in GB
Example :
integer
volume_type
required
Volume type
Example : SSD
enum (SSD, SSD_KMS, HDD, HDD_KMS)

2.9 - Engine

NameDescriptionSchemaDefault
end_of_service
optional
End of Service
Example : False
boolean
id
required
ID
Example :
string
major_version
required
Software major version
Example :
string
name
required
DBaaS engine version name
Example :
string
os_type
required
OS type
Example :
string
os_version
required
OS version
Example :
string
product_image_type
optional
Product type
Example :
any of [string, null]
software_version
required
Software version
Example :
string

2.10 - EngineListResponse

NameDescriptionSchemaDefault
contents
required
DBaaS engine list
array[Engine]

2.11 - EngineProperty

NameDescriptionSchemaDefault
name
required
DBaas engine property name
Example :
string
value
required
DBaas engine property value
Example :
string

2.12 - EnginePropertyListResponse

NameDescriptionSchemaDefault
contents
required
DBaas engine property list
array[EngineProperty]

2.13 - InstanceGroupRequest

NameDescriptionSchemaDefault
block_storage_groups
required
Block storage groups list
array[BlockStorageGroupRequest]
instances
optional
Instances list
any of [array[InstanceRequest], null]
role_type
required
Role type
Example : ACTIVE
enum (ACTIVE, ACTIVE_STANDBY, PRIMARY_SECONDARY, MASTER, MASTER_REPLICA, REPLICA, SENTINEL, MASTER_DATA, DATA, KIBANA, DASHBOARDS, ZOOKEEPER_BROKER, BROKER, ZOOKEEPER, AKHQ, CONSOLE, PRIMARY, PRIMARY_NODE, READ_NODE)
server_type_name
required
Server type name
Example :
string

2.14 - InstanceGroupResizeRequest

NameDescriptionSchemaDefault
server_type_name
required
Server type name
Example :
string

2.15 - InstanceGroupResponse

NameDescriptionSchemaDefault
block_storage_groups
required
Block storage groups list
array[BlockStorageGroupResponse]
id
required
ID
Example :
string
instances
required
Instances list
array[InstanceResponse]
role_type
required
Role type
Example : ACTIVE
enum (ACTIVE, ACTIVE_STANDBY, PRIMARY_SECONDARY, MASTER, MASTER_REPLICA, REPLICA, SENTINEL, MASTER_DATA, DATA, KIBANA, DASHBOARDS, ZOOKEEPER_BROKER, BROKER, ZOOKEEPER, AKHQ, CONSOLE, PRIMARY, PRIMARY_NODE, READ_NODE)
server_type_name
required
Server type name
Example :
string

2.16 - InstanceRequest

NameDescriptionSchemaDefault
public_ip_id
optional
Public IP ID
Example :
any of [string, null]
role_type
required
Role type
Example : ACTIVE
enum (ACTIVE, STANDBY, PRIMARY, SECONDARY, MASTER, REPLICA, SENTINEL, MASTER_DATA, DATA, KIBANA, DASHBOARDS, ZOOKEEPER_BROKER, BROKER, ZOOKEEPER, AKHQ, CONSOLE, READ_REPLICA)
service_ip_address
optional
User subnet IP address
Example :
any of [string, null]

2.17 - InstanceResponse

NameDescriptionSchemaDefault
name
required
Name
Example :
string
public_ip_address
optional
Public IP Address
Example :
any of [string, null]
public_ip_id
optional
Public IP ID
Example :
any of [string, null]
role_type
required
Role type
Example : ACTIVE
enum (ACTIVE, STANDBY, PRIMARY, SECONDARY, MASTER, REPLICA, SENTINEL, MASTER_DATA, DATA, KIBANA, DASHBOARDS, ZOOKEEPER_BROKER, BROKER, ZOOKEEPER, AKHQ, CONSOLE, READ_REPLICA)
service_ip_address
optional
User subnet IP address
Example :
any of [string, null]
service_state
required
Service state
Example : RUNNING
enum (RUNNING, STOPPED, UNKNOWN, ERROR, FAILED, TERMINATED, CREATING, STOPPING, STARTING, RESTARTING, EDITING, SYNCHRONIZING, UPGRADING, TERMINATING, MIGRATING)

2.18 - MaintenanceOption

NameDescriptionSchemaDefault
period_hour
optional
Period in hours
Example :
Pattern : ^(0\.5|[1-5]\.5|[1-9]|1[0-9]|2[0-4])$
string
starting_day_of_week
optional
Starting day of week
Example : MON
enum (MON, TUE, WED, THU, FRI, SAT, SUN)
starting_time
optional
Starting time
Example :
string

2.19 - MaintenanceRequest

NameDescriptionSchemaDefault
start_day_of_week
required
start_day_of_week
Example : MON
enum (MON, TUE, WED, THU, FRI, SAT, SUN)
start_minute
required
start_minute
Example :
string
start_time
required
start_time
Example :
string
term_hour
required
term_hour
Example :
Pattern : ^(0\.5|[1-5]\.5|[1-9]|1[0-9]|2[0-4])$
string

2.20 - MaintenanceResponseOption

NameDescriptionSchemaDefault
period_hour
optional
Period in hours
Example :
any of [string, null]
starting_day_of_week
optional
Starting day of week
Example : MON
any of [enum (MON, TUE, WED, THU, FRI, SAT, SUN), null]
starting_time
optional
Starting time
Example :
any of [string, null]
use_maintenance_option
optional
Maintenance period usage state
Example : False
boolean

2.21 - RequestStateResponse

NameDescriptionSchemaDefault
request_id
required
Request ID
Example :
string
state
required
Request state
Example :
string

2.22 - ResizeBlockStorageGroupRequest

NameDescriptionSchemaDefault
size_gb
required
Size in GB
Example : 16
Minimum : 16
Maximum : 5120
integer

2.23 - ResourceInfo

NameDescriptionSchemaDefault
id
required
request resource id
Example : 109a585ae67b4e8482fdafc8a4a5be74
string

2.24 - ServerType

NameDescriptionSchemaDefault
cpu_core
required
Server type cpu core
Example :
integer
description
required
Server type description
Example :
string
memory_gb
required
Server type memory
Example :
integer
name
required
Server type name
Example :
string
product_image_type
required
Product image type
Example :
string
product_type
required
Product type
Example :
string
purpose
required
Server type purpose
Example :
string
type
required
Server type class
Example :
string

2.25 - ServerTypeListResponse

NameDescriptionSchemaDefault
contents
required
Server type list
array[ServerType]

2.26 - Tag

NameDescriptionSchemaDefault
key
optional

Example :
string
value
optional

Example :
any of [string, null]

2.27 - UpdateSecurityGroupRulesRequest

NameDescriptionSchemaDefault
add_ip_addresses
optional
Allowed IP addresses list
array[string]
del_ip_addresses
optional
Allowed IP addresses list
array[string]

2.28 - VerticaClusterCreateRequest

NameDescriptionSchemaDefault
allowable_ip_addresses
optional
Allowed IP addresses list
array[string]
dbaas_engine_version_id
required
DBaaS engine version ID
Example :
string
init_config_option
required
DB initial configuration option
VerticaInitConfigOptionRequest
instance_groups
required
Instance groups list
array[InstanceGroupRequest]
instance_name_prefix
required
Instance name prefix
Example :
Pattern : ^[a-z][a-zA-Z0-9\-]*$
Minimum length : 3
Maximum length : 13
string
license
optional
license
Example :
Maximum length : 5000
string
maintenance_option
optional
Maintenance option
any of [MaintenanceOption, null]
name
required
Cluster name
Example :
Pattern : ^[a-zA-Z]*$
Minimum length : 3
Maximum length : 20
string
nat_enabled
optional
NAT availability
Example : False
any of [boolean, null]
subnet_id
required
Subnet ID
Example :
string
tags
optional
tag
any of [array[Tag], null]
timezone
required
Timezone
Example :
string

2.29 - VerticaClusterDetailResponse

NameDescriptionSchemaDefault
account_id
required
Account ID
Example :
string
allowable_ip_addresses
optional
Allowed IP addresses list
array[string]
console_included
optional
Management Console included state
Example : False
boolean
created_at
required
Created At
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
Created By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
dbaas_engine
required
DBaaS engine
Example : Vertica
enum (PostgreSQL, Redis, Valkey Sentinel, MariaDB, MySQL, Elasticsearch Enterprise, OpenSearch, EPAS, Microsoft SQL Server, Kafka, Vertica)
dbaas_engine_version_name
required
DBaaS engine version name
Example : 09c2fe88089040ffa035604e38f7e4e9
string
id
required
ID
Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
string
init_config_option
required
DB initial configuration option
VerticaInitConfigOptionResponse
instance_count
optional
Instance Count
Example : 0
integer
instance_groups
required
Instance groups list
array[InstanceGroupResponse]
maintenance_option
optional
Maintenance option
any of [MaintenanceResponseOption, null]
modified_at
required
Modified At
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
Modified By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
name
required
Cluster name
Example :
string
nat_enabled
optional
NAT availability
Example :
any of [boolean, null]
product_type
required
Product type
Example : Vertica
enum (QOS, PostgreSQL Community, EPAS, MariaDB, MySQL, Redis, Microsoft SQL Server, Search Engine, Event Streams, Vertica, Scalable DB)
role_type
required
Role type
Example : ORIGIN
any of [enum (ORIGIN, REPLICA, RECOVERY, SECONDARY, MIGRATION), null]
service_state
required
Service state
Example : RUNNING
enum (RUNNING, STOPPED, UNKNOWN, ERROR, FAILED, TERMINATED, CREATING, STOPPING, STARTING, RESTARTING, EDITING, SYNCHRONIZING, UPGRADING, TERMINATING, MIGRATING)
software_version
required
Software version
Example :
string
subnet_id
required
Subnet ID
Example :
string
timezone
required
Timezone
Example :
string

2.30 - VerticaClusterListResponse

NameDescriptionSchemaDefault
account_id
required
Account ID
Example :
string
console_included
optional
Management Console included state
Example : False
boolean
created_at
required
Created At
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
Created By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
database_name
required
Database Name
Example :
any of [string, null]
id
required
ID
Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
string
instance_count
optional
Instance Count
Example : 0
integer
modified_at
required
Modified At
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
Modified By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
name
required
Cluster name
Example :
string
nat_enabled
optional
NAT availability
Example :
any of [boolean, null]
role_type
required
Role type
Example : ORIGIN
any of [enum (ORIGIN, REPLICA, RECOVERY, SECONDARY, MIGRATION), null]
service_state
required
Service state
Example : RUNNING
enum (RUNNING, STOPPED, UNKNOWN, ERROR, FAILED, TERMINATED, CREATING, STOPPING, STARTING, RESTARTING, EDITING, SYNCHRONIZING, UPGRADING, TERMINATING, MIGRATING)

2.31 - VerticaClusterPageResponse

NameDescriptionSchemaDefault
contents
required
Clusters list
any of [array[VerticaClusterListResponse], null]
count
required
count
Example : 20
integer
page
required
page
Example : 0
integer
size
required
size
Example : 20
integer
sort
optional
sort
Example : ['created_at:asc']
any of [array[string], null]

2.32 - VerticaClusterRestoreRequest

NameDescriptionSchemaDefault
allowable_ip_addresses
optional
Allowed IP addresses list
array[string]
backup_history_number
required
Backup id
Example :
string
instance_groups
required
Instance groups list
array[VerticaRestoreInstanceGroup]
instance_name_prefix
required
Instance name prefix
Example :
Pattern : ^[a-z][a-zA-Z0-9\-]*$
Minimum length : 3
Maximum length : 16
string
license
optional
license
Example :
Maximum length : 2000
string
maintenance_option
optional
Maintenance option
any of [MaintenanceOption, null]
name
required
Cluster name
Example :
Pattern : ^[a-zA-Z]*$
Minimum length : 3
Maximum length : 20
string
tags
optional
tag
any of [array[Tag], null]

2.33 - VerticaInitConfigOptionRequest

NameDescriptionSchemaDefault
backup_option
optional
Backup setting option
any of [BackupSettingExcludingArchiveRequest, null]
database_locale
optional
Database locale information
Example : ko_KR.utf8
any of [string, null]ko_KR.utf8
database_name
required
Database Name
Example :
Pattern : ^[a-zA-Z][a-zA-Z0-9]*$
Minimum length : 3
Maximum length : 20
string
database_user_name
required
Database User Name
Example :
Pattern : ^[a-z]*$
Minimum length : 2
Maximum length : 20
string
database_user_password
required
Database user password
Example :
Minimum length : 8
Maximum length : 30
string

2.34 - VerticaInitConfigOptionResponse

NameDescriptionSchemaDefault
backup_option
optional
Backup setting option
any of [BackupSettingExcludingArchiveRequest, null]
database_locale
optional
Database locale information
Example : ko_KR.utf8
any of [string, null]ko_KR.utf8
database_name
required
Database Name
Example :
string
database_port
optional
Database service port
Example : 5433
any of [integer, null]5433
database_user_name
required
Database User Name
Example :
string
mc_port
required
Database service port
Example :
any of [integer, null]

2.35 - VerticaRestoreInstanceGroup

NameDescriptionSchemaDefault
block_storage_groups
required
Block storage groups list
array[BlockStorageGroupRequest]
role_type
required
Role type
Example : ACTIVE
enum (ACTIVE, ACTIVE_STANDBY, PRIMARY_SECONDARY, MASTER, MASTER_REPLICA, REPLICA, SENTINEL, MASTER_DATA, DATA, KIBANA, DASHBOARDS, ZOOKEEPER_BROKER, BROKER, ZOOKEEPER, AKHQ, CONSOLE, PRIMARY, PRIMARY_NODE, READ_NODE)
server_type_name
required
Server type name
Example :
string